Bug 481530 - (perl-Fedora-Bugzilla) Review Request: perl-Fedora-Bugzilla - Access Fedora's Bugzilla
Review Request: perl-Fedora-Bugzilla - Access Fedora's Bugzilla
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://camelus.fedorahosted.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 21:36 EST by Chris Weyl
Modified: 2009-01-29 02:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 02:45:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-01-25 21:36:42 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Fedora-Bugzilla.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Fedora-Bugzilla-0.03-1.fc10.src.rpm

Description:
The XML-RPC interface to bugzilla is quite useful, and while Bugzilla 3.x
is starting to flesh their interface out a bit more (see, e.g.,
L<WWW::Bugzilla3>), Fedora's Bugzilla implementation has a large number of
custom methods.  This module aims to expose them, in a kinder, gentler way.

In addition to the XML-RPC methods Bugzilla makes available, there are also
some things we only seem to be able to access via the web/XML interfaces.
(See, e.g., the flags, attachments and comments functionality.)  This package
works to expose those as well.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1081908
Comment 1 Parag AN(पराग) 2009-01-26 06:18:51 EST
Review:
+ package builds in mock (rawhide i386).
koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=1081908
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
03e406a8f20f442684f0c83c5f8987cf  Fedora-Bugzilla-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=14, Tests=6, 14 wallclock secs ( 0.00 usr  0.01 sys + 13.44 cusr  0.97 csys = 14.42 CPU)
+ Package  perl-Fedora-Bugzilla-0.03-1.fc11->
Provides: perl(DateTime::Format::Bugzilla) = 0.03 perl(Fedora::Bugzilla) = 0.03 perl(Fedora::Bugzilla::Bug) = 0.03 perl(Fedora::Bugzilla::Bug::Attachment) = 0.03 perl(Fedora::Bugzilla::Bug::Comment) = 0.03 perl(Fedora::Bugzilla::Bug::Flag) = 0.03 perl(Fedora::Bugzilla::Bug::NewAttachment) = 0.03 perl(Fedora::Bugzilla::Bugs) = 0.03 perl(Fedora::Bugzilla::NewBug) = 0.03 perl(Fedora::Bugzilla::QueriedBugs) = 0.03 perl(Fedora::Bugzilla::Role::NewHash) = 0.03 perl(Fedora::Bugzilla::Types) = 0.03

Requires: perl(DateTime::Format::Bugzilla) perl(DateTime::Format::Builder) perl(Email::Address) perl(Fedora::Bugzilla::Bug) perl(Fedora::Bugzilla::Bug::Attachment) perl(Fedora::Bugzilla::Bug::Comment) perl(Fedora::Bugzilla::Bug::Flag) perl(Fedora::Bugzilla::Bug::NewAttachment) perl(Fedora::Bugzilla::Bugs) perl(Fedora::Bugzilla::NewBug) perl(Fedora::Bugzilla::QueriedBugs) perl(Fedora::Bugzilla::Types) perl(HTTP::Cookies) perl(MIME::Base64) perl(Moose) perl(Moose::Role) perl(Moose::Util::TypeConstraints) perl(MooseX::AttributeHelpers) perl(MooseX::StrictConstructor) perl(MooseX::Types) perl(MooseX::Types::DateTime) perl(MooseX::Types::DateTimeX) perl(MooseX::Types::Moose) perl(MooseX::Types::Path::Class) perl(MooseX::Types::URI) perl(Path::Class) perl(RPC::XML::Client) perl(Regexp::Common) perl(URI::Fetch) perl(URI::Find) perl(XML::Twig) perl(namespace::clean) perl(overload) perl(strict) perl(warnings)

Suggestions
1) Good if you upload source to fedorahosted.org using command
scp -p Fedora-Bugzilla-0.03.tar.gz fedorahosted.org:camelus
which will give you source url as 
https://fedorahosted.org/releases/c/a/camelus/Fedora-Bugzilla-0.03.tar.gz

APPROVED.
Comment 2 Chris Weyl 2009-01-26 11:52:29 EST
(In reply to comment #1)

> Suggestions
> 1) Good if you upload source to fedorahosted.org using command
> scp -p Fedora-Bugzilla-0.03.tar.gz fedorahosted.org:camelus
> which will give you source url as 
> https://fedorahosted.org/releases/c/a/camelus/Fedora-Bugzilla-0.03.tar.gz

Thanks for that note -- I'll do that before importing :)
Comment 3 Chris Weyl 2009-01-26 11:54:41 EST
New Package CVS Request
=======================
Package Name: perl-Fedora-Bugzilla
Short Description: Access Fedora's Bugzilla
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-01-26 18:04:20 EST
cvs done.
Comment 5 Chris Weyl 2009-01-29 02:45:54 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.